slepc-3.10.1 2018-10-23
Report Typos and Errors

# NEPSetDerivatives

Sets the function to compute the k-th derivative T^(k)(lambda) for any value of k (including 0), as well as the location to store the matrix.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetDerivatives(NEP nep,Mat A,PetscErrorCode (*der)(NEP,PetscScalar,PetscInt,Mat,void*),void *ctx)

Logically Collective on NEP and Mat

### Input Parameters

| nep | - the NEP context
| A | - the matrix to store the computed derivative
| der | - routing to evaluate the k-th derivative (if NULL then NEP retains any previously set value)
| ctx | - [optional] user-defined context for private data for the derivatives evaluation routine (may be NULL) (if NULL then NEP retains any previously set value)

### See Also

NEPSetFunction(), NEPGetDerivatives()

Location: src/nep/interface/nepbasic.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages